package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

/**
 * 发泡箱体追溯报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class InventoryRateReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 产线
     */
    @Excel(name = "产线")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    /**
     * SAP订单编号
     */
    @Excel(name = "SAP订单编号")
    @JsonProperty("ORDER_CODE")
    private String ORDER_CODE;


    /**
     * 计划日期
     */
    @Excel(name = "计划日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonProperty("BEGIN_DATE")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date BEGIN_DATE;

    /**
     * 产品编码
     */
    @Excel(name = "产品编码")
    @JsonProperty("MATERIAL_CODE")
    private String MATERIAL_CODE;

    /**
     * 产品名称
     */
    @Excel(name = "产品名称")
    @JsonProperty("MATERIAL_NAME")
    private String MATERIAL_NAME;

    /**
     * 计划数量
     */
    @Excel(name = "计划数量")
    @JsonProperty("ORDER_AMOUNT")
    private Long ORDER_AMOUNT;

    /**
     * 完成数量
     */
    @Excel(name = "完成数量")
    @JsonProperty("COMPLETE_AMOUNT")
    private Long COMPLETE_AMOUNT;

    /**
     * 完成率
     */
    @Excel(name = "完成率")
    @JsonProperty("ORDER_RATE")
    private String ORDER_RATE;

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public String getORDER_CODE() {
        return ORDER_CODE;
    }

    public void setORDER_CODE(String ORDER_CODE) {
        this.ORDER_CODE = ORDER_CODE;
    }

    public Date getBEGIN_DATE() {
        return BEGIN_DATE;
    }

    public void setBEGIN_DATE(Date BEGIN_DATE) {
        this.BEGIN_DATE = BEGIN_DATE;
    }

    public String getMATERIAL_CODE() {
        return MATERIAL_CODE;
    }

    public void setMATERIAL_CODE(String MATERIAL_CODE) {
        this.MATERIAL_CODE = MATERIAL_CODE;
    }

    public String getMATERIAL_NAME() {
        return MATERIAL_NAME;
    }

    public void setMATERIAL_NAME(String MATERIAL_NAME) {
        this.MATERIAL_NAME = MATERIAL_NAME;
    }

    public Long getORDER_AMOUNT() {
        return ORDER_AMOUNT;
    }

    public void setORDER_AMOUNT(Long ORDER_AMOUNT) {
        this.ORDER_AMOUNT = ORDER_AMOUNT;
    }

    public Long getCOMPLETE_AMOUNT() {
        return COMPLETE_AMOUNT;
    }

    public void setCOMPLETE_AMOUNT(Long COMPLETE_AMOUNT) {
        this.COMPLETE_AMOUNT = COMPLETE_AMOUNT;
    }

    public String getORDER_RATE() {
        return ORDER_RATE;
    }

    public void setORDER_RATE(String ORDER_RATE) {
        this.ORDER_RATE = ORDER_RATE;
    }

    @Override
    public String toString() {
        return "InventoryRateReport{" +
                "PRODUCT_LINE_NAME='" + PRODUCT_LINE_NAME + '\'' +
                ", ORDER_CODE='" + ORDER_CODE + '\'' +
                ", BEGIN_DATE=" + BEGIN_DATE +
                ", MATERIAL_CODE='" + MATERIAL_CODE + '\'' +
                ", MATERIAL_NAME='" + MATERIAL_NAME + '\'' +
                ", ORDER_AMOUNT=" + ORDER_AMOUNT +
                ", COMPLETE_AMOUNT=" + COMPLETE_AMOUNT +
                ", ORDER_RATE='" + ORDER_RATE + '\'' +
                '}';
    }
}
